发送邮件
将挑战的详细信息通过邮件发送给收件人,最常用于向监护人发送家长同意请求。 挑战必须已经存在,本接口只负责投递。需要重新发送时再次调用即可。
Authorization
api-key In: header
Header Parameters
Optional header for Account System Products to perform cross-product age gate checks. The value must be the product ID of the target product within the same organization. The target product must not itself be an Account System Product.
Request Body
application/json
发送电子邮件请求
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/challenge/send-email" \ -H "Content-Type: application/json" \ -d '{ "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802" }'{}{ "error": "NOT_FOUND", "errorMessage": "Challenge not found"}发送带支付验证的邮件 POST
向监护人发送家长同意请求邮件,同时附上你的证明,表明已有成年人为其背后的购买完成了支付。 除 `paymentVerification` 为必填外,与 `/challenge/send-email` 完全相同。若没有需要证明的支付,请改用该接口。仅当你的组织启用了 Transactions 能力时才会读取该证明,否则将被忽略。
获取年龄验证请求的状态 GET
返回年龄验证请求的当前状态。可在发起验证后轮询,也可用于在服务端确认 webhook。 请求会从 `PENDING` 进入 `IN_PROGRESS`,最终确定为 `PASS` 或 `FAIL`。已确定的请求还会包含验证结果——年龄估计、年龄分类和所用方法——失败时则包含原因。除 `PASS` 和 `FAIL` 之外的状态都应视为仍在进行中。